Subject: Re: [Simple] WGLC : draft-ietf-simple-xcap-09.txt

From: "Jeroen van Bemmel" <[email-masked]>
Date: Sat, 1 Apr 2006 18:35:19 +0200

Two comments:

1 - ambiguity in ABNF

   AUID             =  global-auid / vendor-auid
   global-auid      =  auid
   auid             =  1*pchar
   vendor-auid      =  rev-hostname "." auid
   rev-hostname     =  toplabel *( "." domainlabel  )
   domainlabel      =  alphanum / alphanum *( alphanum / "-" ) alphanum
   toplabel         =  ALPHA / ALPHA *( alphanum / "-" ) alphanum

>From RFC3986:
  pchar         = unreserved / pct-encoded / sub-delims / ":" / "@"
  unreserved    = ALPHA / DIGIT / "-" / "." / "_" / "~"
  sub-delims    = "!" / "$" / "&" / "'" / "(" / ")"
                 / "*" / "+" / "," / ";" / "="

The characters allowed in an AUID should be considered more carefully. Currently, '.' is allowed which is ambiguous (i.e. which part belongs to 'rev-hostname' and which part to the auid). 

2 - normative reference [2] refers to an older version of XML schema, latest is http://www.w3.org/TR/2004/REC-xmlschema-1-20041028/

Regards,

jeroen

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: "Jeroen van Bemmel" <[email-masked]>
Date: Sat, 1 Apr 2006 19:27:30 +0200

Another ABNF related comment: the "extension-selector" production in section 6.3 is ambiguous, it is a superset of both "attribute-selector" and "namespace-selector":

   node-selector          = element-selector ["/" terminal-selector]
   terminal-selector      = attribute-selector / namespace-selector /
                            extension-selector
   element-selector       = step *( "/" step)
   step                   = by-name / by-pos / by-attr / by-pos-attr /
                            extension-selector
   by-name                = NameorAny
   by-pos                 = NameorAny "[" position "]"
   position               = 1*DIGIT
   attr-test              = ( "@" att-name "=" <"> att-value <"> ) /
                            ( "@" att-name "=" <'> att-value <'> )
   by-attr                = NameorAny "[" attr-test "]"
   by-pos-attr            = NameorAny "[" position "]" "[" attr-test "]"
   NameorAny              = QName / "*"   ; QName from XML Namespaces
   att-name               = QName
   att-value              = AttValue      ; from XML specification
   attribute-selector     = "@" att-name
   namespace-selector     = "namespace::*"
   extension-selector     = 1*( %x00-2e / %x30-ff )  ; anything but "/"

One solution would be to change it into:

extension-selector     = "x-" 1*( %x00-2e / %x30-ff )  ; anything but "/"

Regards,

Jeroen

---

From: "Anders Lindgren C \(HF/EAB\)" <[email-masked]>
Date: Thu, 6 Apr 2006 18:00:50 +0200

Hi all,
I have some minor editorial comments to the draft
1)In chapter 6.1 the example of an XCAP root URI is
"http://xcap.example.com.
  In chapter 6.2  the example has as xcap root
"http://xcap.example.com/services and a statement that the example from
chapter 6.1 continues.
In chapter 7 the example is back to use a XCAP root URI that looks like
"http://xcap.example.com.
In chapter 13 the examples are using http://xcap.example.com/services as
example of the XCAP root URI
My propsal is to use the same XCAP root URI example
(http://xcap.example.com) everywhere.

Thanks
Anders Lindgren

-----Original Message-----
From: Robert Sparks [mailto:[email-masked]] 
Sent: den 27 mars 2006 21:32
To: [email-masked] list
Subject: [Simple] WGLC : draft-ietf-simple-xcap-09.txt 

This is a SIMPLE working group Last Call for Comments on draft-ietf-
simple-xcap-09.

This last call ends in two weeks - April 10, 2006

The previous version of this draft was approved for publication, but was
removed from the RFC editor's queue to address a technical issue with
conditional inserts.
The group also agreed to incorporate several clarifying text changes
while the document was open.

Please review the changes carefully and send feedback to the SIMPLE
list, copying Jonathan.

RjS

On Mar 23, 2006, at 5:50 PM, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the SIP for Instant Messaging and 
> Presence Leveraging Extensions Working Group of the IETF.
>
> 	Title		: The Extensible Markup Language (XML)
Configuration Access  
> Protocol (XCAP)
> 	Author(s)	: J. Rosenberg
> 	Filename	: draft-ietf-simple-xcap-09.txt
> 	Pages		: 68
> 	Date		: 2006-3-23
> 	
> This specification defines the Extensible Markup Language (XML) 
> Configuration Access Protocol (XCAP).  XCAP allows a client to read, 
> write and modify application configuration data, stored in XML format 
> on a server.  XCAP maps XML document sub-trees and element attributes 
> to HTTP URIs, so that these components can be directly accessed by 
> HTTP.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-simple-xcap-09.txt
>
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of

> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
>
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then
> 	"get draft-ietf-simple-xcap-09.txt".
>
> A list of Internet-Drafts directories can be found in 
> http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-simple-xcap-09.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader 
> implementation to automatically retrieve the ASCII version of the 
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>

---

From: <[email-masked]>
Date: Wed, 12 Apr 2006 16:45:38 +0200

Hi,

in my understanding the correct XCAP ROOT is the URI of the form
"http://xcap.example.com/services".

In the begining of section 6 there is written exatly this:

  "The URI is constructed by concatenating the
   XCAP root with the document selector with the node selector separator
   with a percent-encoded form of the node selector. ..."

Then the description of document selector from section 6.2 states:

  "The first path segment MUST be the XCAP AUID."

>From these two fragments it concludes that if xcap root does not contain
"services" then this fragment cannot be in the xcap uri at all. However,
I must agree that the xcap specification should mention the example of
xcap root in uniform way.

Best regards,  Martin Hynar

-----Original Message-----
From: Anders Lindgren C (HF/EAB) [mailto:[email-masked]]

Sent: 6. dubna 2006 18:01
To: Robert Sparks; [email-masked]
Subject: RE: [Simple] WGLC : draft-ietf-simple-xcap-09.txt 

Hi all,
I have some minor editorial comments to the draft 1)In chapter 6.1 the
example of an XCAP root URI is "http://xcap.example.com.
  In chapter 6.2  the example has as xcap root
"http://xcap.example.com/services and a statement that the example from
chapter 6.1 continues.
In chapter 7 the example is back to use a XCAP root URI that looks like
"http://xcap.example.com.
In chapter 13 the examples are using http://xcap.example.com/services as
example of the XCAP root URI My propsal is to use the same XCAP root URI
example
(http://xcap.example.com) everywhere.

Thanks
Anders Lindgren

-----Original Message-----
From: Robert Sparks [mailto:[email-masked]]
Sent: den 27 mars 2006 21:32
To: [email-masked] list
Subject: [Simple] WGLC : draft-ietf-simple-xcap-09.txt 

RjS

Configuration Access  

readers